<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');

//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;


					$pdf->AddPage();//adicionando a primera pafina 
					$pdf->setFont("Arial","",7);
					$vetorNormas=$objetocalculo->capturaNormas("Ficha_virtual","Tabajara",$idLabo);
					$posicaoNorma=163;
					//$pdf->Rect($posicaoNorma,10,40,15);
					//$pdf->setXY($posicaoNorma,10);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[1]),0,0);
					//$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
					//$pdf->setXY($posicaoNorma,18);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
					 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza
				 	 $cota4=85;
				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=$maximoHAdobe-15;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
					 $pdf->Line($margemEsquerda,$cota1,$margemEsquerda,$cotaFinal);//linha externa esquerda	
					 $pdf->Line($margemEsquerda,$cotaFinal,$margemDireita,$cotaFinal);//linha inferior	
					 $pdf->Line($margemDireita,$cota1,$margemDireita,$cotaFinal);	//linha direita
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=60;$posicaoCab2=185;
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	//linha vertical a direita do timbre
					 $pdf->Image('ImagensClientes/i' .$idLabo.'.JPG',11,6,48,23,'JPG');//vai dentro de projeto28php/Imagens
			 
			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();



					 $pdf->SetFont('Arial','BU',10);
					 $pdf->setXY($posicaoCab1,5);
					 $pdf->Cell(145,5,'FICHA DE ANALISE DE SEMENTESt',0,1,'L');//lab nome
					 $pdf->SetFont('Arial','',10);
					 $pdf->setXY($posicaoCab1,10); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');//lab nome
					 $pdf->Cell($posicaoCab1-$margemEsquerda);$pdf->Cell(145,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');
					 
				     ################IDENTIFICACAO DA AMOSTRA##################################################
				 	 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				     $largo1=88;           
				     $largo2=53;           
				     $largo3=53;           
					 $pdf->SetXY($margemEsquerda,$cota2);
                     //primeira  linha
					 $largo1Label=20;  
				  	 $pdf->SetFont('Arial','',10);
					 $pdf->Cell($largo1Label,4.5,'Requerente:',0,0,'L');
				  	 $pdf->SetFont('Arial','B',10);
					 $pdf->Cell($largo1-$largo1Label,4.5,utf8_decode($vetorCapturaGeral[42]),0,0,'L');
				  	 $pdf->SetFont('Arial','',10);
					 $pdf->Cell($largo2,4.5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L');
					 $pdf->Cell($largo3,4.5,'Peso amostra:'.$vetorCapturaGeral[65],0,1,'L');
                     //segunda  linha
					 $pdf->Cell($largo1,5,'Amostra:'.str_pad($vetorCapturaGeral[1], 4, "0", STR_PAD_LEFT).'/'.date("y",strtotime($vetorCapturaGeral[36])),0,0,'L'); //imprime a amostra
					 $pdf->Cell($largo2,4.5,'Cultivar:'.$vetorCapturaGeral[31],0,0,'L');
					 $pdf->Cell($largo3,4.5,utf8_decode('Balança:'.$vetorCapturaGeral[79]),0,1,'L');
                     //terceira  linha
					 $pdf->Cell($largo1,4.5,utf8_decode('Cadastrador:'.$vetorCapturaGeral[80]),0,1,'L');
					 
					 $pdf->Cell($largo2,4.5,'Categoria:'.$vetorCapturaGeral[33],0,0,'L');
					 $tratamento=$vetorCapturaGeral[66];
					 $valorSim="x";
					 $valorNao=" ";
					 if($tratamento=="" || $tratamento=="-O-"):
					   $valorSim=" ";
					   $valorNao="x";
					 endif;
					 $pdf->Cell($largo3,4.5,utf8_decode('Tratada:('.$valorSim.')sim  ('.$valorNao.')não'),0,1,'L');
					 
					 
                     //quarta linha 
					 $pdf->Cell($largo1,5,'Data Recebimento:'.date("d/m/y",strtotime($vetorCapturaGeral[36])),0,0,'L');//imprme a data
					 $pdf->Cell($largo2,4.5,'Safra:'.$vetorCapturaGeral[34],0,0,'L');
					 $pdf->Cell($largo3,4.5,utf8_decode('Documento(s):').$vetorCapturaGeral[87],0,1,'L');
                     //quinta linha 
					 $pdf->Cell($largo1,4.5,'Testes a realizar:'.$vetorCapturaGeral[44],0,0,'L');	

                     //setor onde esta uma linha com varios dados
					 $a='Análise de Pureza em:'.$vetorCapturaGeral[46].'g)';
					 $b=' - Complemento:'.$vetorCapturaGeral[67].'g';
					 $c=' - Balança:'.$vetorCapturaGeral[84];
					 $d=' - Data/Rubr.:'.$vetorCapturaGeral[86].' - '.$vetorCapturaGeral[85];
					 
					 $cota3=53;
					 $pdf->SetXY($margemEsquerda,$cota3);
					 $pdf->Cell(194,4.5,utf8_decode($a.$b.$c.$d),1,1,'L',1);	








//setor da pureza
$cota1=0;
$cota1+=57.5;
$largo1=35;
$largo2=13;
$largo3=15;
$largo4=13;
$largo5=15;
$largo6=90;

//primeira linha
$pdf->SetXY($margemEsquerda,$cota1);
$pdf->Cell($largo1,4.5,'',1,0,'L');	
$pdf->Cell($largo2,4.5,'g',1,0,'C');	
$pdf->Cell($largo3,4.5,'%',1,0,'C');	
$pdf->Cell($largo4,4.5,'g',1,0,'C');	
$pdf->Cell($largo5,4.5,'%',1,0,'C');	
$pdf->Cell(90,4.5,'Natureza do Material Inerte:',0,0,'L');
	
//segunda linha
$pdf->SetXY($margemEsquerda,$cota1+4.5);
$pdf->Cell($largo1,4.5,'Amostra de trabalho',1,0,'L');	
$pdf->Cell($largo2,4.5,$vetorCapturaGeral[45],1,0,'C');	
$pdf->Cell($largo3,4.5,'',1,0,'C');	
$pdf->Cell($largo4,4.5,'',1,0,'C');	
$pdf->Cell($largo5,4.5,'',1,0,'C');	
$pdf->Cell($largo6,4.5,utf8_decode($vetorCapturaGeral[19]),0,0,'L');//

//TERCEIRA linha
$pdf->SetXY($margemEsquerda,$cota1+9);
$pdf->Cell($largo1,4.5,'Sementes Puras',1,0,'L');	
$pdf->Cell($largo2,4.5,$vetorCapturaGeral[46],1,0,'C');	
$pdf->Cell($largo3,4.5,$vetorCapturaGeral[4],1,0,'C');	
$pdf->Cell($largo4,4.5,'',1,0,'L');	
$pdf->Cell($largo5,4.5,'',1,0,'L');	
$pdf->Cell($largo6,4.5,'',0,0,'L');	
//QUARTA linha
//$pdf->line(105,$cota1+13.5,$margemDireita,$cota1+13.5);//linha semaradora antes de outras sementes 
$pdf->SetXY($margemEsquerda,$cota1+13.5);
$pdf->Cell($largo1,4.5,'Outras sementes',1,0,'L');	
$pdf->Cell($largo2,4.5,$vetorCapturaGeral[47],1,0,'C');	
$pdf->Cell($largo3,4.5,utf8_decode($vetorCapturaGeral[18]),1,0,'C');	
$pdf->Cell($largo4,4.5,'',1,0,'L');	
$pdf->Cell($largo5,4.5,'',1,0,'L');	
$pdf->Cell($largo6,4.5,'',0,0,'L');	
//QUINTA linha
$pdf->SetXY($margemEsquerda,$cota1+18);
$pdf->Cell($largo1,4.5,'Material inerte',1,0,'L');	
$pdf->Cell($largo2,4.5,$vetorCapturaGeral[48],1,0,'C');	
$pdf->Cell($largo3,4.5,utf8_decode($vetorCapturaGeral[17]),1,0,'C');	
$pdf->Cell($largo4,4.5,'',1,0,'C');	
$pdf->Cell($largo5,4.5,'',1,0,'L');	
$pdf->Cell($largo6,4.5,'',0,0,'L');//coloca -0- em nat.mat.inerte, se nao marcou pureza	
//$pdf->line(105,$cota1+27,$margemDireita,$cota1+27);//linha que fecha setor pureza
//SEXTA linha
$pesoFinal=$vetorCapturaGeral[46]+$vetorCapturaGeral[47]+$vetorCapturaGeral[48];
$pdf->SetXY($margemEsquerda,$cota1+22.5);
$pdf->Cell($largo1,4.5,'Peso final',1,0,'L');	
$pdf->Cell($largo2,4.5,$pesoFinal,1,0,'C');	
$pdf->Cell($largo3,4.5,'',1,0,'L');	
$pdf->Cell($largo4,4.5,'',1,0,'L');	
$pdf->Cell($largo5,4.5,'',1,0,'L');	



					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
				         $cota4a=$cota4+1*4.5;
				         $cota4b=$cota4+2*4.5;
				         $cota4c=$cota4+3*4.5;
					 $largura1=48;$largura2=49;$largura3=$largura1+$largura2;
					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota4);
					 $pdf->cell(194,4.5,utf8_decode('VERIFICAÇÃO DE OUTRAS CULTIVARES: Em '.$vetorCapturaGeral[49].'g                Balança:'.$vetorCapturaGeral[84]),1,1,'L',1);	
					    
					  
					 $pdf->setXY($margemEsquerda,$cota4a);$pdf->cell(194,4.5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO: (em ').$vetorCapturaGeral[50].'g)',1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4b);
					 $pdf->cell($largura1,4.5,'SILVESTRES em '.$vetorCapturaGeral[50].'g',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'OUTRAS ESP. CULTIV. em '.$vetorCapturaGeral[50].'g',1,0,'C');	 
					 $pdf->cell($largura3,4.5,'NOCIVAS em '.$vetorCapturaGeral[51].'g',1,1,'C');	 
					 $pdf->setXY($posicao2,$cota4c);
					 $pdf->cell($largura1,4.5,'TOLERADAS',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'PROIBIDAS',1,1,'C');
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
					 
					 //tres linhas horizontais separando silvestres,nocivas e oesp          	
					 $pdf->Line($posicao1,$cota4c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota4c,$posicao2,$cota5);
					 $pdf->Line($posicao3,$cota4c,$posicao3,$cota5);

                     //aqui vai despejar as silvestres, outras especies, toleradas e as proibidas
					 $pdf->SetFont('Arial','I',10);					 
                     //SILVESTRES					 
					 $vetorContaminanteSetado=$objetocalculo->captura_registros_invasoras('2SIL',$amostraLong);
					 $limite=sizeof($vetorContaminanteSetado);
					 $incremento=0;
                     while($incremento<$limite):
					     $incremento++;    
						 $cotaCalculada=3+$cota4b+$incremento*4;
					     $pdf->setXY($margemEsquerda,$cotaCalculada);$pdf->cell(194,4,utf8_decode($vetorContaminanteSetado[$incremento]),0,1,'L');			 
					 endwhile;
                     //OESP					 
					 $vetorContaminanteSetado=$objetocalculo->captura_registros_invasoras('1OES',$amostraLong);
					 $limite=sizeof($vetorContaminanteSetado);
					 $incremento=0;
                     while($incremento<$limite):
					     $incremento++;    
						 $cotaCalculada=3+$cota4b+$incremento*4;
					     $pdf->setXY($margemEsquerda+$largura1,$cotaCalculada);$pdf->cell(194,4,utf8_decode($vetorContaminanteSetado[$incremento]),0,1,'L');			 
					 endwhile;
                     //NOCIVA TOLERADA				 
					 $vetorContaminanteSetado=$objetocalculo->captura_registros_invasoras('3NOT',$amostraLong);
					 $limite=sizeof($vetorContaminanteSetado);
					 $incremento=0;
                     while($incremento<$limite):
					     $incremento++;    
						 $cotaCalculada=7+$cota4b+$incremento*4;
					     $pdf->setXY($posicao2,$cotaCalculada);$pdf->cell(194,4,utf8_decode($vetorContaminanteSetado[$incremento]),0,1,'L');			 
					 endwhile;

                     //NOCIVA proibida				 
					 $vetorContaminanteSetado=$objetocalculo->captura_registros_invasoras('4NOP',$amostraLong);
					 $limite=sizeof($vetorContaminanteSetado);
					 $incremento=0;
                     while($incremento<$limite):
					     $incremento++;    
						 $cotaCalculada=7+$cota4b+$incremento*4;
					     $pdf->setXY($posicao2+$largura1,$cotaCalculada);$pdf->cell(194,4,utf8_decode($vetorContaminanteSetado[$incremento]),0,1,'L');			 
					 endwhile;
//AQUI VAI COLOCAR O TOTAL DE CONTAMINATES
                     $pdf->setFont('Arial','',8);
                     $cota4b1=$cota4b+32;
					 $pdf->setXY($margemEsquerda,$cota4b1);
					 $pdf->cell($largura1,4.5,'Total:'.$vetorCapturaGeral[8],0,0,'L');	 
					 $pdf->cell($largura2,4.5,'Total:'.$vetorCapturaGeral[7],0,0,'L');	 
					 $pdf->cell($largura1,4.5,'Total:'.$vetorCapturaGeral[9],0,0,'L');	 
					 $pdf->cell($largura2,4.5,'Total:'.$vetorCapturaGeral[10],0,1,'L');

//FINAL DE CONTAMINANTES///////////////////////////////////////////////////////////////////////////////////////

//AQUI VAI O CONTEUDO DE GERMINACAO DA ADV SO QUE A TABAJARA TEM AS COLUNAS MAIS ESTREITAS
				     ################inicio da parte de GERMINACAO########################################
					 //ADV ENTENDE COMO SINONIMOS EAC E VIGOR

                     $cota1+=73;//ERA 46						 
			         $umQuarto=30;//ERA 48
			         $cota1a=$cota1+1*4.5;
			         $cota1b=$cota1+2*4.5;
			         $cota1c=$cota1+3*4.5;
			         $cota1d=$cota1+4*4.5;
			         $cota1e=$cota1+5*4.5;
			         $posicaoMeio=60; //ERA 97
                     //apaga todos campos se o analista esta em branco ou seja quando
					 // nao salvou leituras
                     //TEST3E DE GERMINACAO PADRAO 
					 $analista1=$vetorRaioX[40];
					 $tamanho=strlen($analista1);
					 if($tamanho<2):
						// $dataGeral="-O-";
						// $vetorRaioX[61]="-O-";//tratamento
						// $vetorRaioX[35]="-O-";//temperaturas
						// $vetorRaioX[36]="-O-";//substrato
						// $vetorRaioX[93]="-O-";//data
						// $vetorRaioX[38]="-O-";//germinador
						// $vetorRaioX[39]="-O-";//datageralteste
						// $analista1='-O-';
					 endif;		 
                     //TEST3E DE EAC QUE ADV CHAMA DE VIGOR 
					 $analista1=$vetorRaioX[73];
					 $tamanho=strlen($analista1);
                     $nomeTeste2='VIGOR';
					 $dataGeralGE=$vetorRaioX[72];
					 $dataGeralGE=date("d/m/Y",strtotime($dataGeralGE));
					 if($tamanho<2):
                        // $nomeTeste2='-O-';    
						// $dataGeralGE="-O-";
						// $vetorRaioX[61]="-O-";//tratamento
						 //$vetorRaioX[35]="-O-";//temperaturas
						 //$vetorRaioX[36]="-O-";//substrato
						 //$vetorRaioX[93]="-O-";//data
						// $vetorRaioX[38]="-O-";//germinador
						// $vetorRaioX[39]="-O-";//datageralteste
						// $analista1='-O-';
					 endif;		 
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',10);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO'),1,0,'C');
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE:').$nomeTeste2,1,0,'C');
					 $pdf->SetFont('Arial','',7);
					 $dataGeral=date("d/m/Y",strtotime($vetorRaioX[39]));	

					 $pdf->setXY($margemEsquerda,$cota1a);
					 $pdf->cell($umQuarto,4.5,'Iniciado em: '.$vetorRaioX[93],1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Data/Rubrica: ').$dataGeral,1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Iniciado em:'.$vetorRaioX[94],1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Data/Rubrica: ').$dataGeralGE,1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota1b);
					 $pdf->cell($umQuarto,4.5,'Substrato: '.utf8_decode( $vetorRaioX[36]).'kkk',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador: '.utf8_decode($vetorRaioX[38]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Substrato: '.utf8_decode($vetorRaioX[69]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador: '.utf8_decode($vetorRaioX[71]),1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota1c);
					 $pdf->cell($umQuarto,4.5,'Temperatura: '.utf8_decode($vetorRaioX[35]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens: ',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Temperatura: '.$vetorRaioX[68],1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens: ',1,0,'L');
					 
					 $pdf->setXY($margemEsquerda,$cota1d);
					 $pdf->cell($umQuarto,4.5,'Tratamento: '.utf8_decode($vetorRaioX[61]),0,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',0,0,'L');
					 $pdf->cell($umQuarto,4.5,'Tratamento: '.utf8_decode($vetorRaioX[74]),0,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',0,0,'L');
                     //coloca pequena linha vertical para separar tratamente
                     $pdf->Line($posicaoMeio+$margemEsquerda,$cota1d,$posicaoMeio+$margemEsquerda,$cota1d+4.5); 					 					 
				     ################iPARTE  ONDE VAO AS LEITURAS#######################################
				     
					 $vetor="";
	
				     $largo[1]=20;//ERA 20
					 $larguraMenor=7;
					 $posicaoMeioCalculada=$largo[1];
					 for($i=2;$i<=5;$i++)
					 {
					     $largo[$i]=$larguraMenor;
						 $largo[$i+5]=$larguraMenor;
                         $posicaoMeioCalculada+=$larguraMenor;
				     }
					   		  
					 //$largo[10]=20;
					 $vetor="";

	                  				 
					 
					 $vetorFinal[1][2]="A";$vetorFinal[1][3]="B";$vetorFinal[1][4]="C";$vetorFinal[1][5]="D";
					 /*preservar ate terminar a a adaptacao
					 $vetorFinal[2][1]="Normais:";
					 $vetorFinal[5][1]=utf8_decode("Total");

					 $vetorFinal[6][1]="Anormais";
					 $vetorFinal[9][1]=utf8_decode("Total");

					 $vetorFinal[10][1]="Duras( )Dorm( )";
					 $vetorFinal[13][1]=utf8_decode("Total");

					 $vetorFinal[14][1]=utf8_decode("Mortas");
					 $vetorFinal[16][1]="	Total: ";
					 */
					 $vetorFinal[2][1]="Normais:";
					 $vetorFinal[3][1]=utf8_decode("2ªCont.");
					 $vetorFinal[7][1]="Anorm.";
					 $vetorFinal[12][1]="Infec.";
					 $vetorFinal[17][1]="Mortas";
					 $vetorFinal[20][1]="Duras";
					 $vetorFinal[22][1]="Dorm";

                     //captura germinacao padrao                      
					 $reanLong=$vetorRaioX[62];
					 $vetorLeiturasGerminacao=$objetocalculoRaioX->leiturasGerminacaoBIDI($reanLong);
					 $colunas=5;
					 $repeticao=$vetorLeiturasGerminacao[24][1];
					 $colunas=$vetorLeiturasGerminacao[24][2];
					 $base=$vetorLeiturasGerminacao[24][3];
					 
                     //adv trabalha com 4 colunas e 8 colunas
					 //transfere do vetor de germinacao para o vetor final (se tiver que fazerr conversao de 8 colunas para 4 colunas faz aqui)
                     if($colunas==4): 
						 for($linha=1;$linha<=15;$linha++):
						   if($linha==14 ||  $linha==15 ||  $linha==13 ||  $linha==9 ||  $linha==5 ||  $linha==1 ||  $linha==2):
	 					     if($linha==1)$linhaVetor=2;//normAIS
	 					     if($linha==2)$linhaVetor=3;//2{ leitura
	 					     if($linha==5)$linhaVetor=7;//def
	 					     if($linha==9)$linhaVetor=12;//inf
	 					     if($linha==13)$linhaVetor=17;//mortas
	 					     if($linha==14)$linhaVetor=20;//duras
	 					     if($linha==15)$linhaVetor=22;//dormentes
							 for($j=1;$j<=$colunas;$j++):
	                           $vetorFinal[$linhaVetor][$j+1]= $vetorLeiturasGerminacao[$linha][$j].'i'.$linha.'v'.$linhaVetor;
	                           $vetorFinal[$linhaVetor][$j+1]= $vetorLeiturasGerminacao[$linha][$j];
		                     endfor;
							endif; 
	                     endfor;

                         //aqui joga os totais para 4 repeticoes						 
  					    // for($j=1;$j<=$colunas;$j++):
	                        //normais
							//$vetorFinal[5][$j+1]= $vetorLeiturasGerminacao[25][$j];
	                        //anormais
							//$vetorFinal[9][$j+1]= $vetorLeiturasGerminacao[26][$j];
	                        //duras e/ou dormentes soma pois as vezes vem uma ou outra
							//$vetorFinal[20][$j+1]= $vetorLeiturasGerminacao[28][$j]+$vetorLeiturasGerminacao[29][$j];//duras e dormentes junto
							//$vetorFinal[20][$j+1]= $vetorLeiturasGerminacao[28][$j];//duras
							//$vetorFinal[22][$j+1]= $vetorLeiturasGerminacao[29][$j];//dormentes
	                        //mortas ok
							//$vetorFinal[16][$j+1]= $vetorLeiturasGerminacao[30][$j];
                       // endfor; 

                     else://SE FOR 8 COLUNAS AI COMPACTA PARA 4 COLUNAS COLOCANDO EMBAIXO O SEGUNDO VALOR DE CADA PAR DE LEITURAS
					    //NORMAIS
						 $contador=0;
                         $linhaDados=1;
						 $linhaTotais=5;
					     for($j=1;$j<=$colunas;$j+=2):
                            $contador++;
                            //joga ss primeiras 4
                            $vetorFinal[2][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j];
							//joga as ultimas 4 embaixo 
                            $vetorFinal[3][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j+1];
                            //TOTAIS NORMAIS
						    $vetorFinal[$linhaTotais][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j]+ $vetorLeiturasGerminacao[$linhaDados][$j+1];
                         endfor;		
					    //ANORMAIS
						 $contador=0;
                         $linhaDados=5;
						 $linhaTotais=9;
					     for($j=1;$j<=$colunas;$j+=2):
                            $contador++;
                            //joga ss primeiras 4
                            $vetorFinal[6][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j];
							//joga as ultimas 4 embaixo 
                            $vetorFinal[7][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j+1];
                            //TOTAIS aNORMAIS
						    $vetorFinal[$linhaTotais][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j]+ $vetorLeiturasGerminacao[$linhaDados][$j+1];
                         endfor;		
					    //MORTAS
						 $contador=0;
                         $linhaDados=13;
						 $linhaTotais=16;
					     for($j=1;$j<=$colunas;$j+=2):
                            $contador++;
                            //joga ss primeiras 4
                            $vetorFinal[14][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j];
							//joga as ultimas 4 embaixo 
                            $vetorFinal[15][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j+1];
                            //TOTAIS mortas
						    $vetorFinal[$linhaTotais][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j]+ $vetorLeiturasGerminacao[$linhaDados][$j+1];
                         endfor;
						 
						 
						 		
					    //DURAS E DORMENTES
						 $contador=0;
                         $linhaDados=14;//   14=DURAS 15=DORMENTES
						 $linhaTotais=13;
					     for($j=1;$j<=$colunas;$j+=2):
                            $contador++;
                            //joga ss primeiras 4
                            $vetorFinal[10][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j];
							//joga as ultimas 4 embaixo 
                            $vetorFinal[11][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j+1];
                            //TOTAIS duras e dormentes
						    $vetorFinal[$linhaTotais][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j]+ $vetorLeiturasGerminacao[$linhaDados][$j+1];
                         endfor;		
					 endif;//PERGUNTA SE É 4 OU 8 COLUNAS





					 //transfere os totais que ja foram calculados na classe
					 for($j=1;$j<=$colunas;$j++):
  
                     endfor;
					 
					 
					 $colunas=5;					 
                     $guardaCota1=$cota1;
                     $cota1+=23;
                     $cota7=$cota1;
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 
					 for($i=1;$i<=$colunas;$i++):
					     $finalHorizontal+=$largo[$i];
					 endfor;	 
					 $posicao=$margemEsquerda;
	
					 $linhas=23;
                     $alturaEspacos=4.55;
					 
					 
				     //imprime resultados da parte da esquerdaxxxxxxxxxxxxxxxxxxxxxx
					 $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetLineWidth($fino);
					     $pdf->SetXY($margemEsquerda,$linhaCalculada);
						 //coloca uma linha negritada separando normais/anoramis/dormentes/mprtas
						 if($L==7 || $L==12 || $L==17  || $L==20 || $L==22):
						    $pdf->SetLineWidth($grosso);
							$pdf->Line($margemEsquerda,$linhaCalculada,$margemEsquerda+96,$linhaCalculada);
						 endif;
						 $pdf->SetLineWidth($fino);
						 
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 //$pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],$alturaEspacos,$vetorFinal[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=$alturaEspacos;
				     }
					 
					 //##########################################################################
					 //O EAC SEMPRE SERA CALCULADO COM 4 REPETICOES POR ISSO NAO TEM A APARTE DE 8 CULUNAS
                     //imprime a metade da direitaxxxxxxxxxxxxxxxxxxx
                     //captura eac                   
					 $reanLong=$vetorRaioX[91];
					 $vetorLeiturasGerminacao=$objetocalculoRaioX->leiturasGerminacaoBIDI($reanLong);
					 //transfere do vetor de germinacao para o vetor final (se tiver que fazerr conversao de 8 colunas para 4 colunas faz aqui)
						 for($linha=1;$linha<=15;$linha++):
						   if($linha==14 ||  $linha==15 ||  $linha==13 ||  $linha==9 ||  $linha==5 ||  $linha==1 ||  $linha==2):
	 					     if($linha==1)$linhaVetor=2;//normAIS
	 					     if($linha==2)$linhaVetor=3;//2{ leitura
	 					     if($linha==5)$linhaVetor=7;//def
	 					     if($linha==9)$linhaVetor=12;//inf
	 					     if($linha==13)$linhaVetor=17;//mortas
	 					     if($linha==14)$linhaVetor=20;//duras
	 					     if($linha==15)$linhaVetor=22;//dormentes
							 for($j=1;$j<=$colunas;$j++):
	                           $vetorFinal[$linhaVetor][$j+1]= $vetorLeiturasGerminacao[$linha][$j].'i'.$linha.'v'.$linhaVetor;
	                           $vetorFinal[$linhaVetor][$j+1]= $vetorLeiturasGerminacao[$linha][$j];
		                     endfor;
							endif; 
	                     endfor; 


					 /*transfere os totais que ja foram calculados na classe
					 for($j=1;$j<=$colunas;$j++):
                        //normais
						$vetorFinal[5][$j+1]= $vetorLeiturasGerminacao[25][$j];
                        //anormais
						$vetorFinal[9][$j+1]= $vetorLeiturasGerminacao[26][$j];
                        //duras e/ou dormentes soma pois as vezes vem uma ou outra
						$vetorFinal[13][$j+1]= $vetorLeiturasGerminacao[28][$j]+$vetorLeiturasGerminacao[29][$j];
                        //mortas ok
						$vetorFinal[16][$j+1]= $vetorLeiturasGerminacao[30][$j];
  
                     endfor;					 
                     */



	                //VAI IMPRIMIR O VETOR FINAL///////////////////////////////////
                     $cota1=$guardaCota1;
                     $cota1+=23;
                     $cota7=$cota1;
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 for($i=1;$i<=$colunas;$i++):
					     $finalHorizontal+=$largo[$i];
					 endfor;	 
					 $posicao=$margemEsquerda;
	
 
					 
					 
				     //imprime a parte da direitaaxxxxxxxxxxxxxxxxxxxxxx
					 $linhaCalculada=$cota7;
					 $margemEsquerda1=$margemEsquerda+$posicaoMeioCalculada+12; 
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetLineWidth($fino);
					     $pdf->SetXY($margemEsquerda1,$linhaCalculada);
						 
						 
						 //coloca uma linha negritada separando normais/anoramis/dormentes/mprtas
						 if($L==7 || $L==12 || $L==17  || $L==20 || $L==22):
						    $pdf->SetLineWidth($grosso);
							$pdf->Line($margemEsquerda1,$linhaCalculada,130,$linhaCalculada);
						 endif;
						 $pdf->SetLineWidth($fino);
						 
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 //$pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],$alturaEspacos,$vetorFinal[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=$alturaEspacos;
				     }
					 
		$mzx=15;
        $mzy=$cota1;
        //germinacao padrao 
		$avancoNormais=10;
		$avancoAnormais=35;
		$avancoInfec=60;
		$avancoMortas=80;
		$avancoDuras=90;
		$avancoDormentes=100;
     	$pdf->setXY($mzx+$posicaoMeioCalculada,$mzy+$avancoNormais); $pdf->Cell(30,5,$vetorRaioX[14],0,0,'L');//normais
    	$pdf->setXY($mzx+$posicaoMeioCalculada,$mzy+$avancoAnormais); $pdf->Cell(30,5,$vetorRaioX[64],0,0,'L');//anormais
    	$pdf->setXY($mzx+$posicaoMeioCalculada,$mzy+$avancoInfec); $pdf->Cell(30,5,$vetorRaioX[99],0,0,'L');//infecionadas
    	$pdf->setXY($mzx+$posicaoMeioCalculada,$mzy+$avancoMortas); $pdf->Cell(30,5,$vetorRaioX[65],0,0,'L');//mortas
    	$pdf->setXY($mzx+$posicaoMeioCalculada,$mzy+$avancoDuras); $pdf->Cell(30,5,$vetorRaioX[66],0,0,'L');// duras
    	$pdf->setXY($mzx+$posicaoMeioCalculada,$mzy+$avancoDormentes); $pdf->Cell(30,5,$vetorRaioX[67],0,0,'L');// dormentes

        //germinacao EAC######################################################
     	$afastaX=2*$posicaoMeioCalculada;
     	$afastaX=106;
		$pdf->setXY($mzx+$afastaX,$mzy+$avancoNormais); $pdf->Cell(30,5,$vetorRaioX[12],0,0,'L');//normais
    	$pdf->setXY($mzx+$afastaX,$mzy+$avancoAnormais); $pdf->Cell(30,5,$vetorRaioX[76],0,0,'L');//anormais
    	$pdf->setXY($mzx+$afastaX,$mzy+$avancoInfec); $pdf->Cell(30,5,$vetorRaioX[100],0,0,'L');//infecionadas
    	$pdf->setXY($mzx+$afastaX,$mzy+$avancoMortas); $pdf->Cell(30,5,$vetorRaioX[78],0,0,'L');//mortas
    	$pdf->setXY($mzx+$afastaX,$mzy+$avancoDuras); $pdf->Cell(30,5,$vetorRaioX[101],0,0,'L');// duras
    	$pdf->setXY($mzx+$afastaX,$mzy+$avancoDormentes); $pdf->Cell(30,5,$vetorRaioX[77],0,0,'L');// dormentes

					 
					 
					 //imprime a palavra media
				     $linhaCalculada=$cota7;
					 $pdf->SetXY($margemEsquerda+$posicaoMeioCalculada,$linhaCalculada);
					 $pdf->Cell(12,4.5,'Media',1,0,'C');	
					 $pdf->SetXY($margemEsquerda1+$posicaoMeioCalculada,$linhaCalculada);
					 $pdf->Cell(12,4.5,'Media',1,0,'C');	

//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////





//FINAL DE GERMINACAO ///////////////////////////////////

/////////////////aqui comeca o tetrazolio//////////////////////////
/////////////////aqui comeca o tetrazolio//////////////////////////
/////////////////aqui comeca o tetrazolio//////////////////////////
/////////////////aqui comeca o tetrazolio//////////////////////////
////////////////////////////////////////////////////////////////////
/////////////////aqui comeca o tetrazolio//////////////////////////
//CAPTURA REGISTROS DE TETAZOLIO
//dados complementares do tz 
$reanTZ = new rean1();
	$reanTZ->extras_select =" where  rea_teste='TZO' AND rea_ficha=".$amostraLong ;
    $reanTZ->selecionaTudo($reanTZ);
	while ($res = $reanTZ->retornaDados()):
        //$temperatura=$res->rea_campo20a;
        $concatenado=$res->rea_campo20a;		
		list($tipoPre,$temperatura,$finalPre)=explode("@",$concatenado) ;
        $concentracao=$res->rea_validade;
        //$tipoPre=$res->rea_campo60a;
        $inicioPre=$res->rea_datainicio;
        //$finalPre=$res->rea_campo60c;
        $inicioLeit=$res->rea_lei1;
        $finalLeit=$res->rea_lei2;
    endwhile;
//FIM DA CAPTURA REGISTOS DE TETRAZOLIO
//aqui pega os paramentros do campo rea_campo100
	$user = new rean1();
	$user->extras_select =" where  rea_teste='TZO' AND rea_ficha=".$amostraLong ;
    $user->selecionaTudo($user);
	
	while($res = $user->retornaDados()):
	    $campo100=$res->rea_campo100;//este campo traz os dados do calculo de tz 
    endwhile;		
    list($cc1, $cc2, $cc3,$cc4, $cc5, $cc6, $cc7, $cc8, $cc9, $cc10, $cc11, $cc12, $cc13, $cc14, $cc15, $cc16, $cc17, $cc18, $cc19, $cc20, $cc21, $cc22, $cc23, $cc24, $cc25, $cc26, $cc27, $cc28, $cc29, $cc30, $cc21, $cc32, $cc33, $cc34, $cc35, $cc36, $cc37, $cc38) = explode("*", $campo100);
    //$cc12+$cc14;// sementes duras + anomalia NAO DELETAR ISSO
 




$posicaoTZ=130;
$larguraTZ=73;
$pdf->setXY($posicaoTZ,$cota5);
$pdf->cell($larguraTZ,4,utf8_decode('TESTE DE TETRAZÓLIO'),1,0,'C',1);
$pdf->setXY($posicaoTZ,$cota5+4);
$pdf->cell($larguraTZ,4,utf8_decode('Pre cond.:'.$tipoPre),0,0,'L');
$pdf->setXY($posicaoTZ,$cota5+8);
$pdf->cell($larguraTZ,4,utf8_decode('Tipo pré cond.:'.$tipoPre),0,0,'L');
$pdf->setXY($posicaoTZ,$cota5+12);
$pdf->cell($larguraTZ,4,utf8_decode('Coloração:'.$tipoPre),0,0,'L');
$pdf->setXY($posicaoTZ,$cota5+16);
$pdf->cell($larguraTZ,4,utf8_decode('Leitura:'.$tipoPre),0,0,'L');
$pdf->setXY($posicaoTZ,$cota5+20);
$pdf->cell($larguraTZ,4,utf8_decode('Data/Rubrica:'.$tipoPre),0,0,'L');
$cotaGE=157.5;
//definicoes basicas
$tetra[0][1]="Nivel";
$tetra[0][2]="P";
$tetra[0][3]="M";
$tetra[0][4]="U";
$tetra[0][5]="R";
$tetra[0][6]="V";
$tetra[0][7]="I";
$tetra[0][8]="L";
$tetra[0][9]="D";
$tetra[0][10]="Classe";


$larg[0]=16;
$japones=14;
$larg[1]=$japones;
$larg[2]=$japones;
$larg[3]=$japones;
$larg[4]=15;


//aqui vai pegar a modalidade arquivada pois ele vai pegar um resumo e apriori nao sabe se foi feito 2x100  , 2x50  ou 1x50
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="tetrazolio";
		$generica->campos_valores = array(
				"tet_repeticao" => NULL,
			);
		$generica->extras_select =" where  tet_amostra=" . $amostraLong. " order by tet_id limit 1";
	    $generica->selecionaCampos($generica);
		$resgenerica = $generica->retornaDados();
  		$modalidadeArquivada=$resgenerica->tet_repeticao; 



//repeticoes
//vai capturar os dados
//aqui vai ler os dados para visualizar na tabela ao entrar e ate mesmo depois de gravar 
for($repeticao=1;$repeticao<=2;$repeticao++):
        //primeira coisa é limpar o vetor
		$vetorPrimario="";

        $incrementoRepeticao=($repeticao-1)*42; 
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="tetrazolio";
		$generica->campos_valores = array(
				"tet_danos" => NULL,
				"tet_nivel" => NULL,
			);
		$generica->extras_select =" where  tet_repeticao=".$repeticao." &&  tet_amostra=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		$danoZerado="w";
		$nivelZerado="w";
        //vai passar em toda repeticao e fazer a contabilidade para mostrar ns tabelas de danos primarioss e ssecundarios
		//para os danos secundarios nao precisa definir o nivel pois é dano contabilizado de 1 a 8 somente
		//lembrando a maxma: NAO PODE MATAR DUAS VEZES. ou seja, se ja deu um dano P6 ( morta de percevejo)
		//o dano umidade que pode ser decorrencia nao pode(nem deve) ser considerado no novel 6 pois ai iria matar a semente 2 vezes o que seria uma bsutrdo
		//CONCLUSAO; Deve existir uma tabelinha a parte so para os secundarios que nao vai distinguir os niveis!!!!!uberlandia 07/12/13
		//zera os vetores de contagem
		$vetorPrimario[0][0]=" ";
		$vetorPrimario[0][1]="P";
		$vetorPrimario[0][2]="M";
		$vetorPrimario[0][3]="U";
		$vetorPrimario[0][4]="Danif";
		//$vetorPrimario[0][0]=" ";$vetorPrimario[1][0]="1";$vetorPrimario[2][0]="2";$vetorPrimario[3][0]="3";$vetorPrimario[4][0]="4";$vetorPrimario[5][0]="5";$vetorPrimario[6][0]="6";$vetorPrimario[7][0]="7";$vetorPrimario[8][0]="8";
		//$vetorSecundario[0][1]="P";$vetorSecundario[0][2]="M";$vetorSecundario[0][3]="U";
		for($i=1;$i<=9;$i++)
		{
		   for($j=1;$j<=0;$j++)
		   {
		      $vetorPrimario[$i][$j]=0;
		   }
		}
		for($j=1;$j<=3;$j++)
		   {
		      $vetorSecundario[1][$j]=0;
		   }
         $ordem=0;


		while ($resgenerica = $generica->retornaDados()):
  		    $ordem++;
		    $nivelLido=$resgenerica->tet_nivel; 
            $danoLido=$resgenerica->tet_danos; 		

            $danoPrimario=substr($danoLido,0,1);
            $danoSec1=substr($danoLido,1,1);
            $danoSec2=substr($danoLido,2,1);
			//VAI SIMPLESMENTE CRIAR 2 MATRIZES UMA PARA DANOS SECUNDARIO E OUTRA PARA DANO PRIMARIO
            //liquida o assunto para os danos primarios             
			$c=0;;//preciso zerar pois ele pode nao achar um dano previsto e contabilizar memso assim
			if($danoPrimario=='P')$c=1;	                 			
			if($danoPrimario=='M')$c=2;	                 			
			if($danoPrimario=='U')$c=3;	                 			
			if($danoPrimario=='R'):
			    $c=4;
                $nivelLido=3;
            endif; 				
			if($danoPrimario=='V')$c=5;	                 			
			if($danoPrimario=='I')$c=6;	                 			
			if($danoPrimario=='L')$c=7;	                 			
			if($danoPrimario=='D'):
			    $c=8;	                 			
                $nivelLido=3;
            endif; 				
            //se achou um valor valido de c ele vai acrescentar algebricamente no vetor 
			
			
            if($c>0):
			    $vetorPrimario[$nivelLido][$c]=$vetorPrimario[$nivelLido][$c]+1;                       
			    $vetorPrimario[$nivelLido][9]=$vetorPrimario[$nivelLido][9]+1; 
			endif;
				
            //agora RESOLVE O PRIMEIRRO DANO SECUNDARIO
			$c=0;
			if($danoSec1=='P')$c=1;	                 			
			if($danoSec1=='M')$c=2;	                 			
			if($danoSec1=='U')$c=3;	                 			
            if($c>0) $vetorSecundario[1][$c]=$vetorSecundario[1][$c]+1;                       
            //agora RESOLVE O SEGUNDO DANO SECUNDARIO
			$c=0;
			if($danoSec2=='P')$c=1;	                 			
			if($danoSec2=='M')$c=2;	                 			
			if($danoSec2=='U')$c=3;	                 			
            if($c>0) $vetorSecundario[1][$c]=$vetorSecundario[1][$c]+1;                       
		endwhile;
$vetorPrimario[1][0]='N1';
$vetorPrimario[2][0]='N2';
$vetorPrimario[3][0]='N3';
$vetorPrimario[4][0]='N4';
$vetorPrimario[5][0]='N5';
$vetorPrimario[6][0]='N6';
$vetorPrimario[7][0]='N7';
$vetorPrimario[8][0]='N8';





$pdf->setXY($posicaoTZ,$cotaGE+$incrementoRepeticao);
$pdf->Cell($larguraTZ,4,$repeticao.utf8_decode('ªRepetição'),1,0,'C',1);

for($i=0;$i<=8;$i++):
  $ii=$i+1;
  $pdf->setXY($posicaoTZ ,$cotaGE+$ii*4+$incrementoRepeticao);
  for($j=0;$j<=4;$j++):
    $pdf->Cell($larg[$j],4,$vetorPrimario[$i][$j],1,0,'C');
  endfor; 
endfor;

endfor;//é o final do laco de 2 repeticoes

//aqui mostra o resumo....
$matrizResumo=$objetocalculo->calculaTetrazolioSoja($amostraLong,$modalidadeArquivada);

$cotaResumo=$cotaGE+$ii*4+$incrementoRepeticao+6;
$pdf->setXY($posicaoTZ,$cotaResumo);
$pdf->Cell(29,4,utf8_decode('Diagnósticos'),1,0,'C',1);
$pdf->Cell(15,4,utf8_decode('Rep I'),1,0,'C',1);
$pdf->Cell(15,4,utf8_decode('Rep II'),1,0,'C',1);
$pdf->Cell(15,4,utf8_decode('Média'),1,0,'C',1);
$pdf->setXY($posicaoTZ,$cotaResumo+4);
$r1=80;
$pdf->Cell(29,4,utf8_decode('Viabilidade(1-5)'),1,0,'C');
$pdf->Cell(15,4,$matrizResumo[1][10],1,0,'C');
$pdf->Cell(15,4,$matrizResumo[2][10],1,0,'C');
$pdf->Cell(15,4,$matrizResumo[3][10],1,0,'C');
$pdf->setXY($posicaoTZ,$cotaResumo+8);
//carcula as mórrta
$m1=100-$matrizResumo[1][10];
$m2=100-$matrizResumo[2][10];
$m3=100-$matrizResumo[3][10];

$pdf->Cell(29,4,utf8_decode('Mortas(6-8)'),1,0,'C');
$pdf->Cell(15,4,$m1,1,0,'C');
$pdf->Cell(15,4,$m2,1,0,'C');
$pdf->Cell(15,4,$m3,1,0,'C');
$pdf->setXY($posicaoTZ,$cotaResumo+12);
$pdf->Cell(29,4,utf8_decode('Vigor (1-3)'),1,0,'C');
$pdf->Cell(15,4,$matrizResumo[1][11],1,0,'C');
$pdf->Cell(15,4,$matrizResumo[2][11],1,0,'C');
$pdf->Cell(15,4,$matrizResumo[3][11],1,0,'C');





//aqui termina o tetrazolui
					 
					 
					########################rodape####################
				     $pdf->setXY($margemEsquerda,$cota8);
					 $pdf->SetFont('Arial','',8);
					 //vau buscar os parametros 
					 $eac=$objetocalculo->captura_OD_Especifica($amostraLong,'EAC');
					 $pms=$objetocalculo->captura_OD_Especifica($amostraLong,'PMS');
					 $vigorPrimeiraContagem=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');
					 $texto= "Outras determinações:Vigor: 1ª cont.:".$vigorPrimeiraContagem."%    Vigor:E.AC.:".$eac."%     PMS:".$pms."g";
					 
					 $pdf->cell(100,5,utf8_decode($texto),0,1,'L');	 
					 
					 //campo observacoes
					 $observacao=$vetorCapturaGeral[37];
					 $texto="Observações:".$observacao;
				     $pdf->setXY($margemEsquerda,$cota8+5);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(40,4.5,utf8_decode($texto),0,1,'L');	


					 //campo responsavel tecnico
					 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
				     $pdf->setXY($margemEsquerda,$cota8+15);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(80,4.5,utf8_decode('Responsável técnico:'.$vetorTecnico[1]),0,1,'L');	

				     $pdf->setXY($margemEsquerda,$cotaFinal);
					 $pdf->SetFont('Arial','',6);
					 $pdf->cell(80,4,'SilasNet - Ficha virtual Modelo Tabajara',1,1,'L');	 

			 
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
?>
